Subject: Re: [RFC PATCH 1/4] objtool: Add --mnop as an option to --mcount

From: "Naveen N. Rao" <[email-masked]>
Date: Thu, 26 May 2022 17:21:02 +0530

Peter Zijlstra wrote:
> On Tue, May 24, 2022 at 04:01:48PM +0530, Naveen N. Rao wrote:
> 
>> We need to know for sure either way. Nop'ing out the _mcount locations at
>> boot allows us to discover existing long branch trampolines. If we want to
>> avoid it, we need to note down those locations during build time.
>> 
>> Do you have a different approach in mind?
> 
> If you put _mcount in a separate section then the compiler cannot tell
> where it is and is forced to always emit a long branch trampoline.
> 
> Does that help?

That's an interesting thought. Depending on the type of trampoline the 
compiler emits, I might be able to use this approach. We will still need 
objtool on powerpc  so that we can note down those trampoline locations.

Thanks,
Naveen